{# eth0 interface is present in LXC containers, i.e. not physical machines #}
{%- if "eth0" in grains.ip_interfaces %}

{%- set ip = grains.ip4_interfaces.eth0[0] %}
{%- set dns = "127.0.0.1" if grains.id == "dns" else "x.x.x.x" %}

{%- set gw = "y.y.y.y" -%}

netplan: |
  network:
    ethernets:
      eth0:
        addresses: [ {{ip}}/16 ]
        gateway4: {{gw}}
        nameservers:
          addresses: [ {{dns}} ]
        optional: true
    version: 2

{%- endif -%}
