#
# Docker
#

docker.io:
  pkg.installed

/etc/docker/daemon.json:
  file.managed:
    - source: salt://docker/docker.json

systemctl restart docker:
  cmd.run:
    - onchanges:
      - file: /etc/docker/daemon.json

/etc/docker/certs.d/{{pillar.registry.domain}}/ca.crt:
  file.managed:
    - contents_pillar: registry:cert
    - makedirs: True
