/etc/webhooks/webhooks.yml:
  file.managed:
    - contents_pillar: webhooks:conf

/opt/webhooks:
  file.recurse:
    - source: salt://hosts/{{grains.id}}/webhooks

systemctl reload webhooks:
  cmd.run:
    - onchanges:
      - file: /etc/webhooks/webhooks.yml
      - file: /opt/webhooks
